<?php 
include ('session.php');
include('connection.php');
include('test.php');
header( 'Content-Type: text/html; charset=utf-8' );
$fpath1 = $_SERVER['DOCUMENT_ROOT']."/pdfs/";
$eid=test_input($_POST['eid']);
$file1=test_input($_POST['file1']);
$file2= $_FILES['file1']['name'];

$imageFileType = pathinfo($file2,PATHINFO_EXTENSION);    
$check = getimagesize($_FILES["file1"]["tmp_name"]);  
 if ($_FILES["file2"]["error"] > 0)
  {
			    echo "Error: " . $_FILES["file1"]["error"] . "<br>";
			    $error = 'File Contain Error';
  }
 if($check == false) 
  {
       
        echo "File is not an image".$check['mime'].".";
  }
 	if ($_FILES["file1"]["size"] > 5000000000)
 	 {
    echo "Sorry, your file is too large.";
  }
   // Allow certain file formats
if($imageFileType != "jpg" && $imageFileType != "png" && $imageFileType != "jpeg"
&& $imageFileType != "pdf" && $imageFileType != "PDF" ) 
{
    echo "Sorry, only JPG, JPEG, PNG & pdf files are allowed.";
}
  else
  { 
     
     		$temp1 = explode(".", $_FILES["file1"]["name"]);
						$newfilename1 = round(microtime(true)) . '.' . end($temp1);
						$src1 = $_FILES["file1"]["tmp_name"];
						$dest1 = $fpath1.$newfilename1;
					//	echo $dest1;
						//$dest1 ="http://www.zppalghar.in/new-zppalghar/pdfs/".$newfilename1;
						$dest = "../pdfs/".$newfilename1;
						file_put_contents($dest1,file_get_contents($src1));
						chmod($dest1, 0777);
   }
$fname1=$dest;

$sql="INSERT INTO `photo`(`srno`, `event_id`, `photo`, `video`,`status`, `lastmodifiedDate`) VALUES ('','$eid','$fname1','$file1','Visible',Now())";
mysqli_query($GLOBALS["___mysqli_ston"], "SET NAMES utf8");
$res=mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Error message". mysqli_errno($GLOBALS["___mysqli_ston"]));
echo '<script>
alert("Documents Uploaded..!!!");
window.location.href="photo_insert.php"</script>';

?>